<?php if(!defined('ABSPATH')) exit; ?>
<?php get_header(); ?>
<?php
if(is_category()) {
	$catID = get_query_var('cat');
}
?>
<div class="safirBox">
	<div class="pageHeading<?php if($catID) echo ' color'. $catID ?>">
		<h1 class="title"><?php the_archive_title(); ?></h1>
		<?php if(xoption('breadcrumb')) sfrBreadcrumbs(); ?>
	</div>

	<?php if($x = category_description()) : ?>
		<div class="catDesc"><?php echo $x ?></div>
	<?php endif; ?>


	<?php safirAd('archiveAd', 'ads shiftBottom'); ?>

	<?php
	if(is_category()) {
		$excludeIDs = xoption('categorySliderExcept');
		if(!is_array($excludeIDs)) $excludeIDs = array();
		if(xoption('categorySlider') && get_query_var('paged') == 0 && !in_array(get_query_var('cat'), $excludeIDs)) :
			include( get_template_directory() . '/parts/slider-category.php');
		endif;
	}
	?>

	<?php get_template_part('list'); ?>
</div>
<?php

if(is_category()) :
	if(is_category(xoption('photoCategory')) || safir_top_category(get_query_var('cat')) == xoption('photoCategory')):
		safir_sidebar('photo');
	elseif(is_category(xoption('videoCategory')) || safir_top_category(get_query_var('cat')) == xoption('videoCategory')):
		safir_sidebar('video');
	elseif(is_category(xoption('articleCategory')) || safir_top_category(get_query_var('cat')) == xoption('articleCategory')):
		safir_sidebar('article');
	elseif(is_category()):
		safir_sidebar('category');
	endif;
else:
	safir_sidebar();
endif;
?>

<?php get_footer(); ?>
