<?php if(!defined('ABSPATH')) exit; ?>
<?php get_header(); ?>
<div id="authorPage">
	<?php
	$authorID = get_query_var('author');
	$authorName = get_the_author_meta( 'display_name', $authorID );
	$authorMail = get_the_author_meta( 'user_email', $authorID );
	$authorBio = get_the_author_meta( 'user_description', $authorID );
	$authorFacebook = get_the_author_meta( 'facebook', $authorID );
	$authorTwitter = get_the_author_meta( 'twitter', $authorID );
	$authorInstagram = get_the_author_meta( 'instagram', $authorID );
	$authorLinkedin = get_the_author_meta( 'linkedin', $authorID );
	$image = safir_get_author_image($authorID, 150);
	?>

	<div class="profileBlock">
		<div class="thumb">
			<div class="image">
				<a href="<?php echo get_author_posts_url($authorID) ?>">
					<div class="safirthumb square nobg">
						<div class="center">
							<img <?php safirLazyThumb($image) ?> width="500" height="500" alt="<?php echo $authorName ?>" />
						</div>
					</div>
				</a>
			</div>
		</div>
		<h1><?php echo $authorName ?></h1>
		<div class="detail">
			<div class="bio">
				<?php echo $authorBio ?>
			</div>
			<ul class="safirSocial">
				<?php if($authorFacebook) : ?>
					<li class="facebook">
						<a rel="external" href="<?php echo $authorFacebook ?>"></a>
					</li>
				<?php endif; ?>
				<?php if($authorTwitter) : ?>
					<li class="twitter">
						<a rel="external" href="<?php echo $authorTwitter ?>"></a>
					</li>
				<?php endif; ?>
				<?php if($authorInstagram) : ?>
					<li class="instagram">
						<a rel="external" href="<?php echo $authorInstagram ?>"></a>
					</li>
				<?php endif; ?>
				<?php if($authorLinkedin) : ?>
					<li class="linkedin">
						<a rel="external" href="<?php echo $authorLinkedin ?>"></a>
					</li>
				<?php endif; ?>
			</ul>
		</div>
	</div>

	<div class="authorPostsBlock">
		<div class="authorpostitems">
			<div id="archiveListing">
				<div class="widgetContent">
					<div class="items">
						<?php while (have_posts()) : the_post(); ?>
							<div class="item-container">
								<div class="item">
									<div class="inner">
										<div class="title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></div>
										<div class="meta"><?php the_time(get_option("date_format") . " " . get_option("time_format")); ?></div>
										<div class="summary"><?php safirtext(40) ?></div>
									</div>
								</div>
							</div>
						<?php endwhile; ?>
						<?php include("parts/navi.php"); ?>
					</div>
				</div>
			</div>
		</div>
	</div>

</div>

</div>
</div>
<?php get_footer(); ?>
