<?php if(!defined('ABSPATH')) exit; ?>
<?php
// Ioncube Check

	if(!extension_loaded("IonCube Loader")) {
		add_action( 'admin_notices', 'safir_admin_ioncube_error' );
		if(!is_admin()) {
			include(get_template_directory() . "/lib/safirtema/ioncube.php");
			die();
		}
	} else {
		$safirPHPVersion = phpversion();
		if(strlen($safirPHPVersion) >=3) $safirPHPVersion = substr($safirPHPVersion, 0, 3);

		switch ($safirPHPVersion) {
			case '7.4':
			include("functions/php.7.4.php");
			break;

			default:
			include("functions/php.7.3.php");
			break;
		}
	}

	function safir_admin_ioncube_error() {
	    printf( '<div class="notice notice-error"><p><strong>Sunucunuzda tema için gerekli olan Ioncube bileşeni yüklü değil. Hosting firmanızdan son sürüm Ioncube yüklemesini isteyiniz.</strong></p></div>');
	}
