<?php if(!defined('ABSPATH')) exit; ?>
<?php
// Clock

add_action("wp_ajax_safirClock", "safirClock");
add_action("wp_ajax_nopriv_safirClock", "safirClock");

function safirClock() {

	if ( !wp_verify_nonce( $_REQUEST['nonce'], "safir_ajax_nonce")) {
	  exit("HATA.");
	}

	$result = array();
	$result['time'] = time() * 1000;

	if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
	  $result = json_encode($result);
	  echo $result;
	}
	else {
	  header("Location: ".$_SERVER["HTTP_REFERER"]);
	}

	die();

}

// Ajax Hits

add_action("wp_ajax_safirHits", "safirHits");
add_action("wp_ajax_nopriv_safirHits", "safirHits");

function safirHits() {

	if ( !wp_verify_nonce( $_REQUEST['nonce'], "safir_ajax_nonce")) {
	  exit("HATA.");
	}

	$postid = $_POST['postid'];
	$issingle = $_POST['issingle'];

	if(function_exists('the_views')) {
		$postHit = get_post_meta($postid, 'views', true);
	} else {
		$postHit = get_post_meta($postid, 'hit', true);
	}
	if ($postHit == NULL) { $postHit = 0; }

	if($issingle) {
		$postHit++;
		update_post_meta($postid, 'hit', $postHit);
	}

	$postHit = number_format($postHit, 0, '', '.');

	$result = array();
	$result['data'] = $postHit;

	if(!empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
	  $result = json_encode($result);
	  echo $result;
	}
	else {
	  header("Location: ".$_SERVER["HTTP_REFERER"]);
	}

	die();

}



