<?php if(!defined('ABSPATH')) exit; ?>
<?php

// OPTIONS
	if(get_option('posts_per_page') == 10) update_option('posts_per_page', 18);
	update_option("show_on_front", "posts");
	update_option("date_format", "d.m.Y");
	update_option("time_format", "");


// PAGES
	$pages = array(
		'authors'		=> 'Tüm Yazarlar',
		'membership'	=> 'Üyelik',
		'ekle'			=> 'Ekle',
		'addtoyoursite'	=> 'Sitene Ekle',
		'horoscopes'	=> 'Burçlar',
		'papers'		=> 'Gazete Manşetleri',
	);

	$createdPages = array();

	foreach ($pages as $key => $value) {
		if(get_page_by_title($value) == null) {
			$post_id = wp_insert_post(
				array(
					'post_title'    =>  $value,
					'post_status'   =>  'publish',
					'post_type'     =>  'page'
				)
			);
			update_post_meta($post_id, "_wp_page_template", "pages/page-" . $key . ".php");
			$createdPages[$key] = $post_id;
		}
	}

	if(array_key_exists("membership", $createdPages))
	xoption('membershipPage', $createdPages['membership']);

// PROFILE
	$pages = array(
		'posts'			=> 'İçerik Yönetimi',
		'posts-add'		=> 'İçerik Ekle',
		'posts-edit'	=> 'İçerik Düzenle',
		'profile'		=> 'Profil',
	);

	$createdPages = array();

	foreach ($pages as $key => $value) {
		if(get_page_by_title($value) == null) {
			$post_id = wp_insert_post(
				array(
					'post_title'    =>  $value,
					'post_status'   =>  'publish',
					'post_type'     =>  'page'
				)
			);
			update_post_meta($post_id, "_wp_page_template", "profile/page-" . $key . ".php");
			$createdPages[$key] = $post_id;
		}
	}

	if(array_key_exists("posts", $createdPages))
		xoption('postsPage', $createdPages['posts']);
	if(array_key_exists("posts-add", $createdPages))
		xoption('addPostsPage', $createdPages['posts-add']);
	if(array_key_exists("posts-edit", $createdPages))
		xoption('editPostsPage', $createdPages['posts-edit']);
	if(array_key_exists("profile", $createdPages))
		xoption('profilePage', $createdPages['profile']);


// MENUS
	$menuItems = wp_get_nav_menus();
	if(count($menuItems) == 0) {
		$menus = array(
			'topmenu'		=>	'Üst Menü',
			'mainmenu'		=>	'Ana Menü',
			'mobilemenu'	=>	'Mobil Menü',
			'footermenu1'	=>	'Footer Menü 1',
			'footermenu2'	=>	'Footer Menü 2'
		);
		foreach ($menus as $menulocation => $menuname) {
			$menu_exists = wp_get_nav_menu_object( $menuname );
			if( !$menu_exists) {
				$menu_id = wp_create_nav_menu($menuname);
				if( !has_nav_menu( $menulocation ) ) {
					$locations = get_theme_mod('nav_menu_locations');
					$locations[$menulocation] = $menu_id;
					set_theme_mod( 'nav_menu_locations', $locations );
					wp_update_nav_menu_item($menu_id, 0, array(
						'menu-item-title' =>  'Menüye Eleman Ekleyiniz',
						'menu-item-url' => home_url('wp-admin/nav-menus.php?action=edit&menu=' . $menu_id),
						'menu-item-status' => 'publish')
					);
				}
			}
		}
	}
