<?php
ob_start("compress");
function compress($buffer) {
	$buffer = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $buffer);
	$buffer = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $buffer);
	$buffer = str_replace(' {', '{', $buffer);
	$buffer = str_replace(', ', ',', $buffer);
	$buffer = str_replace(': ', ':', $buffer);
	$buffer = str_replace('; ', ';', $buffer);
	return $buffer;
}

do_action("safir_before_style.php");
global $c1;
if (!isset($c1)) $c1 = xoption("siteColor");
?>

<style>

	#breakingGroup .breakingTitle, #breakingGroup .arrows span:hover, .mainHeading .title, .safirWidget .post:hover .title a, .sliderWidget .slider .owl-dots .owl-dot.ads a, .sliderWidget .slider .tButtonLink, footer .footermenu1 li a:hover, .optWidget .hamburger, .scoresWidget table .order, .authorPostsBlock .item a:hover, .safirCustomMenu a:hover, #menu .sub-menu li span.icon, .authorsWidget .author-name a, aside.profile .userMenu a .icon:before, #profile .table .postContainer .title a:hover, a, h1, h2, h3, h4, h5, h6, #menu>ul>li:hover>a, #menu>ul>li.active>a, .safirForm p>span:before {
		color: <?php echo $c1 ?>;
	}

	#toplogin .button, #breaking .items:before, #breakingGroup:after, .mainHeading:after, .mainHeading .icon:before, .advancedPostsWidget4 .slider .owl-dot, .postthumb .safirCategoryMeta a, .sliderWidget .slider .post .title:before, .wideSlider .owl-dots .owl-dot:after, .wideSlider .owl-dots .owl-dot.active a, .sliderWidget .slider .owl-dots .owl-dot.active, .optWidget .options, .safirTop, .pageHeading:before, .safirnavi .current, #logo .mobileButtons .toggleMenu, .hamburgerMenuButton:before, .authorsWidget .allLink a, .burcList a .hover:after, #gallery-nav a:hover, #gallery-nav a.active, form button.submit, form input[type=submit], .sfrIconForm form .fileLabel span.button, .safirButton, .pageHeading .inner:before, #gallery-links a, #switcher .icon, .tabbedWidget .tabheading a.active, .tabbedWidget .line {
		background: <?php echo $c1; ?>;
	}

	.sliderWidget .owl-carousel {
		border-color: <?php echo $c1 ?>;
	}

	.advancedPostsWidget4 .slider .owl-dot:before {
		border-color: transparent transparent <?php echo $c1 ?> transparent;
	}

/* PHP STUFF */

	<?php
	$thumbRatio = xoption("thumbRatio");
	if(!is_numeric($thumbRatio)) $thumbRatio = 0.5625;
	$thumbRatio *= 100;

	$breakingTitleWidth = xoption("breakingTitleWidth");
	if(!is_numeric($breakingTitleWidth)) $breakingTitleWidth = 240;
	?>

	.safirthumb {
		padding-bottom: <?php echo $thumbRatio ?>%;
	}

	.advancedPostsWidget5 .post-container:nth-child(2) .safirthumb, .advancedPostsWidget5 .post-container:nth-child(3) .safirthumb {
		padding-bottom: <?php echo $thumbRatio * 0.975 ?>%;
	}

	#breakingGroup .breakingTitle {
		flex: 1 0 <?php echo $breakingTitleWidth ?>px;
		max-width: <?php echo $breakingTitleWidth ?>px;
	}

	<?php

	$categories = get_categories(
		array(
			'orderby' 		=> 'name',
			'order'   		=> 'ASC',
			'hide_empty'   	=> 0,
		)
	);
	foreach($categories as $category) {
		$ID = $category->term_id;
		if( xoption("catColor" . $ID) != "" && xoption("catColor" . $ID) != xoption("siteColor") ) {
			$color = xoption("catColor" . $ID);
			?>

			.safirWidget.color<?php echo $ID?> .mainHeading .title, .safirWidget.color<?php echo $ID?> .post:hover .title a,
			.sliderWidget.color<?php echo $ID?> .slider .owl-dots .owl-dot.ads a,
			.sliderWidget.color<?php echo $ID?> .slider .tButtonLink,
			.scoresWidget.color<?php echo $ID?> table .order,
			.safirCustomMenu.color<?php echo $ID?> a:hover,
			.optWidget.color<?php echo $ID?> .hamburger {
				color: <?php echo $color ?>;
			}

			.advancedPostsWidget1.color<?php echo $ID?> .postthumb .safirCategoryMeta a,
			.advancedPostsWidget1 .postthumb .safirCategoryMeta a.sfrCatClr.cat<?php echo $ID ?>,
			.safirWidget.color<?php echo $ID?> .mainHeading .icon:before,
			 .safirWidget.color<?php echo $ID?> .mainHeading:after,
			.advancedPostsWidget4.color<?php echo $ID?> .slider .owl-dot,
			.sliderWidget.color<?php echo $ID?> .slider .owl-dots .owl-dot.active,
			.sliderWidget.color<?php echo $ID?> .slider .post .title:before,
			.wideSlider.color<?php echo $ID?> .owl-dots .owl-dot,
			.wideSlider.color<?php echo $ID?> .owl-dots .owl-dot.active a,
			.optWidget.color<?php echo $ID?> .options,
			.tabbedWidget .tabheading a.active.color<?php echo $ID?>,
			.tabbedWidget .line.color<?php echo $ID?>,
			.pageHeading.color<?php echo $ID?>:before,
			.wideSlider.color<?php echo $ID?> .owl-dots .owl-dot:after,
			.wideSlider.color<?php echo $ID?> .owl-dots .owl-dot.active a
			 {
				background: <?php echo $color ?>;
			}

			.advancedPostsWidget4.color<?php echo $ID?> .slider .owl-dot:before  {
				border-color: transparent transparent <?php echo $color ?> transparent;
			}

			.sliderWidget.color<?php echo $ID?> .owl-carousel {
				border-color: <?php echo $color ?>;
			}

			<?php
		}
	}

	global $safirIcons;
	foreach($safirIcons as $key => $code) { ?>

		.safiricon.<?php echo $key ?>:before {
			content: "<?php echo $code ?>";
		}

	<?php } ?>

</style>
<?php ob_end_flush(); ?>
