<?php if(!defined('ABSPATH')) exit; ?>
<?php
do_action('safir_before_archive_list');
global $listing;
if(in_array($listing, array('style1', 'style2', 'style3')) == false) :
	$listing = xoption('listing');
endif;

if(is_category()) :
	if(is_category(xoption('photoCategory')) || safir_top_category(get_query_var('cat')) == xoption('photoCategory')) : $listing = 'photo'; $icon = 'icon49'; endif;
	if(is_category(xoption('videoCategory')) || safir_top_category(get_query_var('cat')) == xoption('videoCategory')) : $listing = 'video'; $icon = 'icon31'; endif;
	if(is_category(xoption('articleCategory')) || safir_top_category(get_query_var('cat')) == xoption('articleCategory')) : $listing = 'article'; endif;
	if(is_category(xoption('mansetCategory')) || safir_top_category(get_query_var('cat')) == xoption('mansetCategory')) : $listing = 'manset'; endif;
endif;

switch ($listing) {
	case 'article':
	?>
	<div id="archiveListing">
		<?php if(have_posts()) : ?>
			<?php
			$authorOrder = "lastpost";
			?>
			<div class="authorsWidget nosort safirWidget homeWidget" style="padding:0">
				<div class="widgetContent">
					<div class="items listing">
						<?php
						while (have_posts()) : the_post();
							include('posts/post-author.php');
						endwhile;
						?>
						<?php include("parts/navi.php"); ?>
					</div>
				</div>
			</div>
			<?php
		else :
			?><p style="font-size:18px;"><?php _e("İçerik bulunamadı.", "anka") ?></p><?php
		endif;
		?>
	</div>
	<?php
	break;

	case 'manset':
	?>
	<div class="listing manset">
		<?php if(have_posts()) : ?>
			<?php
			$widgetData = new sfrSlider();
			$settings = $widgetData->get_settings();
			if(count($settings) > 0) {
				foreach ($settings as $setting) {
					$showShadow = $setting["showShadow"];
					$showInfo = $setting["showInfo"];
					$metas = $setting["metas"];
				}
			} else {
				$showShadow = "yes";
				$showInfo = "yes";
				$metas = array();
			}
			$counter = 0;
			?>
			<div id="archiveListing" class="sliderWidget safirWidget homeWidget fullslider color<?php echo get_query_var("cat"); if($showShadow) echo " showShadow" ?>" style="padding:0">
				<div class="innerContainer">
					<div class="slider">
						<div class="widgetContent">
							<div class="items listing">
								<?php
								while (have_posts()) : the_post();
									?>
									<div class="post-container">
										<div class="item post">
											<div class="postthumb">
												<a href="<?php the_permalink() ?>">
													<?php
													if($x = get_post_meta(get_the_ID(), "sliderImage", true)) {
														?>
														<div class="safirthumb">
															<div class="center">
																<img <?php safirLazyThumb($x) ?> width="825" height="450" alt="<?php the_title() ?>" />
															</div>
														</div>
														<?php
													} else {
														safirthumb();
													}
													?>
												</a>
											</div>
											<?php if($showInfo) : ?>
												<div class="detail">
													<div class="title">
														<a href=<?php the_permalink() ?>><?php the_title() ?></a>
													</div>
													<?php safirMetas($metas) ?>
												</div>
											<?php endif; ?>
										</div>
									</div>
									<?php
									$counter++;
									if(getSafirAd("archiveAdAra") && $counter == xoption("archiveAdAraPos")) {
										?>
										<div class="post-container">
											<?php safirAd("archiveAdAra", "postAd ads"); ?>
										</div>
										<?php
									}
								endwhile;
								include("parts/navi.php");
								?>
							</div>
						</div>
					</div>
				</div>
			</div>
			<?php
		else :
			?><p style="font-size:18px;"><?php _e("İçerik bulunamadı.", "anka") ?></p><?php
		endif;
		?>
	</div>
	<?php
	break;

	case "style1":
	case "style2" :
	case "style3" :
	$widgetNumber = substr($listing, -1);
	$counter = 0;
	?>
	<div id="archiveListing" class="safirWidget advancedPostsWidget<?php echo $widgetNumber; if(is_category()) echo ' color' . get_query_var("cat") ?>">
		<?php if(have_posts()) : ?>
			<div class="widgetContent">
				<div class="items">
					<?php
					while (have_posts()) : the_post();
						get_template_part('posts/post' . $widgetNumber);
						$counter++;
						if(getSafirAd("archiveAdAra") && $counter == xoption("archiveAdAraPos")) {
							?>
							<div class="post-container">
								<?php safirAd("archiveAdAra", "postAd ads"); ?>
							</div>
							<?php
						}
					endwhile;
					include("parts/navi.php");
					?>
				</div>
			</div>
			<?php
		else :
			?><p style="font-size:18px;"><?php _e("İçerik bulunamadı.", "anka") ?></p><?php
		endif;
		?>
	</div>
	<?php
	break;


	case "photo" :
	case "video" :
	$counter = 0;
	?>
	<div id="archiveListing" class="safirWidget safirHover galleryList<?php if(is_category()) echo ' color' . get_query_var("cat") ?>" data-hovericon="<?php echo $icon ?>">
		<?php if(have_posts()) : ?>
			<div class="widgetContent">
				<div class="items">
					<?php
					while (have_posts()) : the_post();
						get_template_part('posts/post-std');
						$counter++;
						if(getSafirAd("archiveAdAra") && $counter == xoption("archiveAdAraPos")) {
							?>
							<div class="post-container">
								<?php safirAd("archiveAdAra", "postAd ads"); ?>
							</div>
							<?php
						}
					endwhile;
					include("parts/navi.php");
					?>
				</div>
			</div>
			<?php
		else :
			?><p style="font-size:18px;"><?php _e("İçerik bulunamadı.", "anka") ?></p><?php
		endif;
		?>
	</div>
	<?php
	break;
}
