<?php if(!defined('ABSPATH')) exit; ?>
<?php
/*
	Template Name: Sitene Ekle
*/
?>
<?php get_header(); ?>

<?php
$catIDs = xoption("addToYourSiteCategories");
if(!is_array($catIDs)) $catIDs = array(1);

if(isset($_REQUEST['submit0'])) :
	$ekleKategori0 = $_REQUEST['ekleKategori0'];
else:
	$ekleKategori0 = $catIDs[0];
endif;
if(isset($_REQUEST['submit1'])) :
	$ekleKategori1 = $_REQUEST['ekleKategori1'];
	$ekleSayi1 = $_REQUEST['ekleSayi1'];
else:
	$ekleKategori1 = $catIDs[0];
	$ekleSayi1 = 5;
endif;
if(isset($_REQUEST['submit2'])) :
	$ekleKategori2 = $_REQUEST['ekleKategori2'];
	$ekleSayi2 = $_REQUEST['ekleSayi2'];
else:
	$ekleKategori2 = $catIDs[0];
	$ekleSayi2 = 5;
endif;
if(isset($_REQUEST['submit3'])) :
	$ekleKategori3 = $_REQUEST['ekleKategori3'];
else:
	$ekleKategori3 = $catIDs[0];
endif;


?>

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

<div id="addtoyoursite">
	<div class="slider module" id="module1">
		<div class="mainHeading">
			<h2 class="title">1.Modül: Manşet</h2>
		</div>
		<div class="preview">
			<?php
			$iframeW = 825;
			$iframeH = xoption("catSliderHeight") + 40;
			if(wp_is_mobile()) $iframeW = 300;
			if(wp_is_mobile()) $iframeH = 208;
			?>
			<iframe style="border:0; overflow:hidden;" width="<?php echo $iframeW ?>" height="<?php echo $iframeH ?>" src="<?php bloginfo('url')?>/ekle?type=slider&amp;c=<?php echo $ekleKategori0 ?>"></iframe>
		</div>
		<form action="#module1" method="post">
			<div class="formcontainer">
				<div class="table">
					<div class="item">
						<select name="ekleKategori0">
							<optgroup label="<?php _e("Kategori seçin", "anka") ?>">
							<?php
							foreach($catIDs as $catID) {
								?><option value="<?php echo $catID; ?>" <?php if($catID == $ekleKategori0) : echo 'selected'; endif; ?>><?php echo get_cat_name($catID); ?></option><?php
							}
							?>
							</optgroup>
						</select>
					</div>
					<div class="item">
						<input type="submit" name="submit0" value="<?php _e("Önizleme ve Kodu Oluştur", "anka") ?>" />
					</div>
				</div>
			</div>
		</form>
		<div class="code">
			<p class="desc"><?php _e("Sitenize eklemeniz gereken kodlar", "anka") ?>:</p>
			<form>
				<textarea onclick="this.focus();this.select()" readonly="readonly" class="codes"><iframe style="border:0; overflow:hidden;" width="<?php echo $iframeW ?>" height="<?php echo $iframeH ?>" src="<?php bloginfo('url')?>/ekle?type=slider&amp;c=<?php echo $ekleKategori0 ?>"></iframe></textarea>
			</form>
		</div>
		<p class="note"><?php _e("<b>Not:</b> Kendi sitenize göre genişlik değerini değiştirebilirsiniz. Yüksekliği de uygun şekilde değiştiriniz.", "anka") ?></p>
	</div>


	<div class="sliding1 module" id="module2">
		<div class="mainHeading">
			<h2 class="title"><?php _e("2. Modül: Kayan Haberler - 1", "anka") ?></h2>
		</div>
		<div class="preview">
			<iframe style="border:0; overflow:hidden;" width="300" height="210" src="<?php bloginfo('url')?>/ekle?type=sliding1&amp;c=<?php echo $ekleKategori1?>&amp;n=<?php echo $ekleSayi1?>"></iframe>
		</div>
		<form action="#module2" method="post">
			<div class="formcontainer">
				<div class="table">
					<div class="item">
						<select name="ekleKategori1">
							<optgroup label="<?php _e("Kategori seçin", "anka") ?>">
							<?php
							foreach($catIDs as $catID) {
								?><option value="<?php echo $catID; ?>" <?php if($catID == $ekleKategori1) : echo 'selected'; endif; ?>><?php echo get_cat_name($catID); ?></option><?php
							}
							?>
							</optgroup>
						</select>
					</div>
					<div class="item">
						<select name="ekleSayi1">
							<optgroup label="<?php _e("Yazı sayısı", "anka") ?>">
							<option value="5" <?php if($ekleSayi1 == 5) : echo 'selected'; endif; ?>>5</option>
							<option value="10" <?php if($ekleSayi1 == 10) : echo 'selected'; endif; ?>>10</option>
							<option value="15" <?php if($ekleSayi1 == 15) : echo 'selected'; endif; ?>>15</option>
							<option value="20" <?php if($ekleSayi1 == 20) : echo 'selected'; endif; ?>>20</option>
							<option value="30" <?php if($ekleSayi1 == 30) : echo 'selected'; endif; ?>>30</option>
							</optgroup>
						</select>
					</div>
					<div class="item">
						<input type="submit" name="submit1" value="<?php _e("Önizleme ve Kodu Oluştur", "anka") ?>" />
					</div>
				</div>
			</div>
		</form>
		<p class="desc"><?php _e("Sitenize eklemeniz gereken kodlar", "anka") ?>:</p>
		<form><textarea onclick="this.focus();this.select()" readonly="readonly" class="codes"><iframe style="border:0; overflow:hidden;" width="300" height="210" src="<?php bloginfo('url')?>/ekle?type=sliding1&amp;c=<?php echo $ekleKategori1?>&amp;n=<?php echo $ekleSayi1?>"></iframe></textarea></form>

		<p class="note"><?php _e("<b>Not:</b> Kendi sitenize göre genişlik değerini değiştirebilirsiniz. Yüksekliği de uygun şekilde değiştiriniz.", "anka") ?></p>
	</div>


	<div class="sliding2 module" id="module3">
		<div class="mainHeading">
			<h2 class="title"><?php _e("3. Modül: Kayan Haberler - 2", "anka") ?></h2>
		</div>
		<div class="preview">
			<iframe style="border:0; overflow:hidden;" width="300" height="322" src="<?php bloginfo('url')?>/ekle?type=sliding2&amp;c=<?php echo $ekleKategori2?>&amp;n=<?php echo $ekleSayi2?>"></iframe>
		</div>
		<form action="#module3" method="post">
			<div class="formcontainer">
				<div class="table">
					<div class="item">
						<select name="ekleKategori2">
							<optgroup label="<?php _e("Kategori seçin", "anka") ?>">
							<?php
							foreach($catIDs as $catID) {
								?><option value="<?php echo $catID; ?>" <?php if($catID == $ekleKategori2) : echo 'selected'; endif; ?>><?php echo get_cat_name($catID); ?></option><?php
							}
							?>
							</optgroup>
						</select>
					</div>
					<div class="item">
						<select name="ekleSayi2">
							<optgroup label="<?php _e("Yazı sayısı", "anka") ?>">
							<option value="5" <?php if($ekleSayi2 == 5) : echo 'selected'; endif; ?>>5</option>
							<option value="10" <?php if($ekleSayi2 == 10) : echo 'selected'; endif; ?>>10</option>
							<option value="15" <?php if($ekleSayi2 == 15) : echo 'selected'; endif; ?>>15</option>
							<option value="20" <?php if($ekleSayi2 == 20) : echo 'selected'; endif; ?>>20</option>
							<option value="30" <?php if($ekleSayi2 == 30) : echo 'selected'; endif; ?>>30</option>
							</optgroup>
						</select>
					</div>
					<div class="item">
						<input type="submit" name="submit2" value="<?php _e("Önizleme ve Kodu Oluştur", "anka") ?>" />
					</div>
				</div>
			</div>
		</form>
		<p class="desc"><?php _e("Sitenize eklemeniz gereken kodlar", "anka") ?>:</p>
		<form><textarea onclick="this.focus();this.select()" readonly="readonly" class="codes"><iframe style="border:0; overflow:hidden;" width="300" height="322" src="<?php bloginfo('url')?>/ekle?type=sliding2&amp;c=<?php echo $ekleKategori2?>&amp;n=<?php echo $ekleSayi2?>"></iframe></textarea></form>

		<p class="note"><?php _e("<b>Not:</b> Kendi sitenize göre genişlik değerini değiştirebilirsiniz. Yüksekliği de uygun şekilde değiştiriniz.", "anka") ?></p>
	</div>





	<div class="numslider module" id="module4">
		<div class="mainHeading">
			<h2 class="title"><?php _e("4. Modül: Numaralı Yan Manşet", "anka") ?></h2>
		</div>
		<div class="preview">
			<iframe style="border:0; overflow:hidden;" width="300" height="220" src="<?php bloginfo('url')?>/ekle?type=numslider&amp;c=<?php echo $ekleKategori3 ?>"></iframe>
		</div>
		<form action="#module4" method="post">
			<div class="formcontainer">
				<div class="table">
					<div class="item">
						<select name="ekleKategori3">
							<optgroup label="<?php _e("Kategori seçin", "anka") ?>">
							<?php
							foreach($catIDs as $catID) {
								?><option value="<?php echo $catID; ?>" <?php if($catID == $ekleKategori3) : echo 'selected'; endif; ?>><?php echo get_cat_name($catID); ?></option><?php
							}
							?>
							</optgroup>
						</select>
					</div>
					<div class="item">
						<input type="submit" name="submit3" value="<?php _e("Önizleme ve Kodu Oluştur", "anka") ?>" />
					</div>
				</div>
			</div>
		</form>
		<div class="code">
			<p class="desc"><?php _e("Sitenize eklemeniz gereken kodlar", "anka") ?>:</p>
			<form>
				<textarea onclick="this.focus();this.select()" readonly="readonly" class="codes"><iframe style="border:0; overflow:hidden;" width="300" height="220" src="<?php bloginfo('url')?>/ekle?type=numslider&amp;c=<?php echo $ekleKategori3 ?>"></iframe></textarea>
			</form>
		</div>
		<p class="note"><?php _e("<b>Not:</b> Kendi sitenize göre genişlik değerini değiştirebilirsiniz. Yüksekliği de uygun şekilde değiştiriniz.", "anka") ?></p>
	</div>

</div>

<?php endwhile; ?>

<?php safir_sidebar(); ?>
<?php get_footer(); ?>
