<?php if(!defined('ABSPATH')) exit; ?>
<?php
/*
	Template Name: Sitene Ekle Iframe Sayfası
*/
?>
<html style="padding:0 !important; margin: 0 !important;">
<head>
	<style type="text/css">

		.sliderWidget.sliding1 .safirthumb {
			padding-bottom: 60%;
		}

		.sliderWidget.sliding1 .slider .owl-nav div {
			display: block;
		}

		.sliderWidget.sliding1 .slider .owl-nav div {
			background: rgba(0,0,0,0.4);
			color: #fff;
		}

		.sliderWidget.sliding1 .slider .owl-nav .owl-prev {
			left: 0;
		}

		.sliderWidget.sliding1 .slider .owl-nav .owl-next {
			right: 0;
		}

		.sliderWidget.sliding1 .slider .post .detail {
			padding: 10px;
		}

		.sliderWidget.sliding1 .slider .post .title {
			font-size: 18px;
			max-width: 100%;
			padding: 0;
		}

		.sliderWidget.sliding1 .slider .post .title:before {
			display: none;
		}

		.sliding2 .post {
			overflow: hidden;
			margin-bottom: 10px;
			padding-bottom: 10px;
			border-bottom: 1px dotted #e0e0e0;
		}

		.sliding2 .post .postthumb {
			float: left;
			border: 1px solid #e0e0e0;
			padding: 1px;
			width: 100px;
		}

		.sliding2 .post .detail {
			margin-left: 110px;
			line-height: 20px;
			height: 60px;
			overflow: hidden;
		}

		.sliding2 .post .title {
			font-weight: bold;
		}

		.sliderWidget.sliding3 .slider .owl-nav div {
			top: -1000px;
		}


		<?php
		$sliderRatio = 100 * xoption("catSliderHeight") / 825;
		?>
		.sliderWidget.sliding1 .safirthumb {
			padding-bottom: <?php echo $sliderRatio ?>%;
		}

	</style>
	<meta charset="<?php bloginfo('charset'); ?>" />
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/style.css" media="all" />
	<?php include(get_template_directory() . "/lib/safirtema/style.php"); ?>

</head>
<body class="addtoyoursite" style="background:#fff; margin:0 !important; padding:0 !important">
<div style="display:none"><?php wp_head(); ?></div>

<?php
if(isset($_REQUEST['type'])) {
	switch ($_REQUEST['type']) {
		case 'slider':
			$ekleKategori0 = $_REQUEST['c'];
			$ekleSayi0 = xoption("catSliderNumber");
			if(!is_numeric($ekleKategori0)) $ekleKategori0 = 1;
			?>
			<div class="sliderWidget sliding1 <?php if(xoption("showCatSliderShadow")) echo "showShadow" ?> fullslider color<?php echo $ekleKategori0 ?> addtoyoursite">
				<div class="innerContainer">
					<div class="slider">
						<?php
						$queryargs = array(
							"cat" => $ekleKategori0,
							"posts_per_page" => $ekleSayi0,
							);

						$results = new WP_Query($queryargs);
						if( $results->have_posts() ) {
							?>
							<div class="items">
								<div class="owl-carousel">
									<?php
									$counter = 0;
									while( $results->have_posts() )	{
										$results->the_post();
										$counter++;
										?>
										<div class="item post">
											<div class="postthumb">
												<a href="<?php the_permalink() ?>">
													<?php
													if($x = get_post_meta(get_the_ID(), "sliderImage", true)) {
														?>
														<div class="safirthumb">
															<div class="center">
																<img <?php safirLazyThumb($x) ?> width="825" height="<?php echo xoption("catSliderH
																") ?>" alt="<?php the_title() ?>" />
															</div>
														</div>
														<?php
													} else {
														safirthumb();
													}
													?>
												</a>
											</div>
											<?php if(xoption("showCatSliderInfo")) : ?>
												<div class="detail">
													<div class="title">
														<a href=<?php the_permalink() ?>><?php the_title() ?></a>
													</div>
													<?php safirMetas(xoption("catSliderMetas")) ?>
												</div>
											<?php endif; ?>
										</div>
										<?php
									}
									?>
								</div>
							</div>
							<?php
							wp_reset_postdata();
						}
						?>
					</div>
				</div>
			</div>
			<?php
		break;

		case 'sliding1':
			$ekleSayi1 = $_REQUEST['n'];
			$ekleKategori1 = $_REQUEST['c'];
			if(!is_numeric($ekleSayi1)) $ekleSayi1 = 5;
			if(!is_numeric($ekleKategori1)) $ekleKategori1 = 1;
			?>
			<div class="sliderWidget showShadow sliding1 fullslider addtoyoursite">
				<div class="innerContainer">
					<div class="slider">
						<?php
						$queryargs = array(
							"cat" => $ekleKategori1,
							"posts_per_page" => $ekleSayi1,
							);

						$results = new WP_Query($queryargs);
						if( $results->have_posts() ) {
							?>
							<div class="items">
								<div class="owl-carousel">
									<?php
									$counter = 0;
									while( $results->have_posts() )	{
										$results->the_post();
										$counter++;
										?>
										<div class="item post">
											<div class="postthumb">
												<a href="<?php the_permalink() ?>">
													<?php
														safirthumb("medium_large");
													?>
												</a>
											</div>
											<div class="detail">
												<div class="title">
													<a href=<?php the_permalink() ?>><?php the_title() ?></a>
												</div>
											</div>
										</div>
										<?php
									}
									?>
								</div>
							</div>
							<?php
							wp_reset_postdata();
						}
						?>
					</div>
				</div>
			</div>
			<?php
			break;

		case 'sliding2':
			$ekleSayi2 = $_REQUEST['n'];
			$ekleKategori2 = $_REQUEST['c'];
			if(!is_numeric($ekleSayi2)) $ekleSayi2 = 5;
			if(!is_numeric($ekleKategori2)) $ekleKategori2 = 1;
			?>
			<div class="addtotyoursite sliding2">
				<div class="widgetContent">
					<div class="items">
						<?php
						$args = array(
							'posts_per_page' => $ekleSayi2,
							'post_status' => 'publish',
							'no_found_rows' => true,
							'ignore_sticky_posts' => true,
							'cat' => $ekleKategori2
						);
						$results = new WP_Query($args);
						while( $results->have_posts() )	{
							$results->the_post();
							?>
							<div class="post-container">
								<div class="post">
									<div class="postthumb">
										<a href="<?php the_permalink() ?>">
											<?php safirthumb("medium") ?>
										</a>
									</div>
									<div class="detail">
										<div class="title">
											<a href="<?php the_permalink() ?>"><?php the_title() ?></a>
										</div>
										<div class="summary">
											<?php safirtext(15) ?>
										</div>
									</div>
								</div>
							</div>
							<?php
						}
						?>
					</div>
				</div>
			</div>
			<?php
			break;

		case 'numslider':
			$ekleKategori3 = $_REQUEST['c'];
			if(!is_numeric($ekleKategori3)) $ekleKategori3 = 1;
			?>
			<div class="sliderWidget showShadow sliding3 sidebarWidget addtoyoursite  color<?php echo $ekleKategori3 ?>" style="padding:0;">
				<div class="innerContainer">
					<div class="slider">
						<?php
						$queryargs = array(
							"cat" => $ekleKategori3,
							"posts_per_page" => 5,
							);

						$results = new WP_Query($queryargs);
						if( $results->have_posts() ) {
							?>
							<div class="items">
								<div class="owl-carousel">
									<?php
									$counter = 0;
									while( $results->have_posts() )	{
										$results->the_post();
										$counter++;
										?>
										<div class="item post">
											<div class="postthumb">
												<a href="<?php the_permalink() ?>">
													<?php
														safirthumb("medium_large");
													?>
												</a>
											</div>
											<div class="detail">
												<div class="title">
													<a href=<?php the_permalink() ?>><?php the_title() ?></a>
												</div>
											</div>
										</div>
										<?php
									}
									?>
								</div>
							</div>
							<?php
							wp_reset_postdata();
						}
						?>
					</div>
				</div>
			</div>
			<?php
		break;

	}
}
?>

<div style="display:none"><?php wp_footer(); ?></div>
<script src="<?php bloginfo('template_directory'); ?>/scripts/scripts-addtoyoursite.js"></script>
</body>
</html>
