<?php if(!defined('ABSPATH')) exit; ?>
<div class="safirLoginMenu">
	<div class="items">
		<?php if(xoption('profilePage')) : ?>
			<div class="item">
				<a class="profile" href="<?php echo get_permalink(xoption('profilePage')) ?>">
				<?php echo get_the_title(xoption('profilePage')); ?>
				</a>
			</div>
		<?php endif; ?>
		<?php if(xoption('postsPage')) : ?>
			<div class="item">
				<a class="posts" href="<?php echo get_permalink(xoption('postsPage')) ?>">
				<?php echo get_the_title(xoption('postsPage')); ?>
				</a>
			</div>
		<?php endif; ?>
		<?php if(xoption('addPostsPage')) : ?>
			<div class="item">
				<a class="add" href="<?php echo get_permalink(xoption('addPostsPage')) ?>">
				<?php echo get_the_title(xoption('addPostsPage')); ?>
				</a>
			</div>
		<?php endif; ?>
		<div class="item">
			<?php $current_user = wp_get_current_user(); ?>
			<a class="user" href="<?php echo get_author_posts_url($current_user->ID) ?>">
				<?php _e("Yazar Sayfam", "anka"); ?>
			</a>
		</div>
		<div class="item">
			<a class="logout" href="<?php echo wp_logout_url(home_url()) ?>">
			<?php _e("Çıkış Yap", "anka"); ?>
			</a>
		</div>
	</div>
</div>
