<?php if(!defined('ABSPATH')) exit; ?>
<?php if( is_array(xoption('meta')) ) : ?>
<div class="metaBox">
	<div class="safirMetas">
		<?php
		foreach(xoption('meta') as $meta) {
			switch ($meta) {
				case 'category':
				?>
					<div class="meta category"><?php safirCategoryMeta(); ?></div>
				<?php
				break;
				case 'date':
				?>
					<div class="meta date"><?php the_time(get_option("date_format") . " " . get_option("time_format")); ?></div>
				<?php
				break;
				case 'author':
				?>
					<div class="meta author"><?php echo the_author_posts_link() ?></div>
				<?php
				break;
				case 'hit':
				?>
					<div class="meta hit">
						<span data-postid="<?php echo get_the_ID(); ?>">0</span>
					</div>
				<?php
				break;
				case 'comment':
				?>
					<div class="meta comment">

						<a href="<?php the_permalink(); ?>#comments" rel="nofollow">
						<?php comments_number("0", "1", "%"); ?></a>
					</div>
				<?php
				break;
				case 'fontsize':
				?>
					<div class="sizing fontplus">A<sup>+</sup></div>
					<div class="sizing fontminus">A<sup>-</sup></div>
				<?php
				break;
			}
		}
		?>
	</div>
	<?php include("share.php"); ?>
</div>
<?php endif; ?>
