<?php if(!defined('ABSPATH')) exit; ?>
<?php
if(xoption('relatedCount') != 0) :
	include(get_template_directory() . '/lib/safirtema/relatedargs.php');
	$query = new wp_query($args);
	if($query->have_posts()) : ?>
		<div id="related">
			<?php
			$listing = xoption('listing');

			if(in_category(xoption('photoCategory'))) :
				$listing = 'photo';
				$icon = 'icon49';
				?>
				<div class="mainHeading">
					<div class="safiricon icon icon39"></div>
					<div class="title"><?php _e("Diğer Galeriler", "anka") ?></div>
				</div>
				<?php
			elseif(in_category(xoption('videoCategory'))) :
				$listing = 'video';
				$icon = 'icon31';
				?>
				<div class="mainHeading">
					<div class="safiricon icon icon43"></div>
					<div class="title"><?php _e("Diğer Videolar", "anka") ?></div>
				</div>
				<?php
			else:
				?>
				<div class="mainHeading">
					<div class="safiricon icon icon52"></div>
					<div class="title"><?php _e("Benzer Konular", "anka") ?></div>
				</div>
				<?php
			endif;

			switch ($listing) {
				case "style1":
				case "style2" :
				case "style3" :
				$widgetNumber = substr($listing, -1);
				?>
				<div class="safirWidget advancedPostsWidget<?php echo $widgetNumber; ?>">
					<div class="widgetContent">
						<div class="items">
							<?php
							while ($query->have_posts()) : $query->the_post();
								get_template_part('posts/post' . $widgetNumber);
							endwhile;
							?>
						</div>
					</div>
				</div>
				<?php
				break;


				case "photo" :
				case "video" :
				?>
				<div class="safirWidget safirHover galleryList" data-hovericon="<?php echo $icon ?>">
					<div class="widgetContent">
						<div class="items">
							<?php
							while ($query->have_posts()) : $query->the_post();
								get_template_part('posts/post-std');
							endwhile;
							?>
						</div>
					</div>
				</div>
				<?php
				break;
			}

			?>
		</div>
		<?php
	endif;
endif;
wp_reset_postdata();
?>
