<?php if(!defined('ABSPATH')) exit; ?>
<?php if( (wp_is_mobile() && xoption('hideWideSidebar')) == false ) :
	$showWideSidebar = false; ?>
	<?php if(!is_home()) : ?>
		<?php
		$wideWidgetPosition = xoption('wideWidgetPosition');
		if(!is_array($wideWidgetPosition)) $wideWidgetPosition = array();
		if(
			(is_single() && !is_attachment() && in_array('post', $wideWidgetPosition)) ||
			(is_attachment() && in_array('gallery', $wideWidgetPosition)) ||
			(is_archive() && !is_author() && in_array('category', $wideWidgetPosition)) ||
			(is_page() && in_array('page', $wideWidgetPosition))
		) $showWideSidebar = true;

		if(
			(is_page_template("pages/page-authors.php") && !in_array('authors', $wideWidgetPosition)) ||
			(is_author() && !in_array('authors', $wideWidgetPosition)) ||
			(in_category(xoption("articleCategory")) && !in_array('authors', $wideWidgetPosition)) ||
			(is_category(xoption("articleCategory")) && !in_array('authors', $wideWidgetPosition)) ) $showWideSidebar = false;

		global $widgetPlace; $widgetPlace = "home";
		if(
			$showWideSidebar &&
			is_active_sidebar('sidebar-archive-ust') &&
			!is_404() &&
			!is_page_template("pages/page-membership.php") &&
			!is_page_template("profile/page-posts-edit.php") &&
			!is_page_template("profile/page-posts-add.php") &&
			!is_page_template("profile/page-posts.php") &&
			!is_page_template("profile/page-profile.php"))

			: ?>
			<div class="homeWidgetContainer wide">
				<?php
				$widgetPlace = "wide";
				dynamic_sidebar('sidebar-archive-ust');
				?>
			</div>
		<?php endif; ?>
	<?php endif; ?>
<?php endif; ?>
