<?php if(!defined('ABSPATH')) exit; ?>
<div id="single">
<div class="haberSingle">
<div class="pageHeading">
	<h1 class="title"><?php the_title(); ?></h1>
	<?php if(xoption('breadcrumb')) sfrBreadcrumbs(); ?>
</div>

<?php if(has_excerpt()) : ?>
	<div class="reading excerpt"><?php the_excerpt(); ?></div>
<?php endif; ?>

<?php
$singleBlock = xoption('singleBlock');
foreach(get_the_category() as $category) {
	if($category->term_id == xoption('videoCategory') || safir_top_category($category->term_id) == xoption('videoCategory')) {
		if(xoption('hideSingleBlockVideo')) $singleBlock = '';
	}
	if(xoption('hideSingleBlockGallery') && get_post_gallery()) $singleBlock = '';
}

switch ($singleBlock) {
	case 'type1':
		?>
			<div id="singleBlock" class="type1">
				<div class="thumb">
					<?php safirthumb(); ?>
				</div>
				<?php safirAd('singleAd1', 'ads type1'); ?>
			</div>
			<?php get_template_part('parts/metabox'); ?>
		<?php
		break;

	case 'type2':
		if(xoption("singleAd2Desktop")) :
			?>
				<div id="singleBlock" class="type2">
					<?php safirAd('singleAd2', 'ads type2'); ?>
					<div class="thumb">
						<?php safirthumb(); ?>
					</div>
				</div>
			<?php
			get_template_part('parts/metabox');
		else:
			get_template_part('parts/metabox');
			?>
				<div id="singleBlock" class="type2 noad">
					<?php safirAd('singleAd2', 'ads type2'); ?>
					<div class="thumb">
						<?php safirthumb(); ?>
					</div>
				</div>
			<?php
		endif;
		break;

	case 'type3':
		get_template_part('parts/metabox');
		?>
			<div id="singleBlock" class="type3">
				<?php safirAd('singleAd2', 'ads type3'); ?>
				<div class="thumb">
					<?php safirthumb(); ?>
				</div>
			</div>
		<?php
		break;

	default:
		get_template_part('parts/metabox');
		break;

}
?>

<div id="singleContent" class="reading">
	<?php the_content(); ?>
	<?php
	$attachments = '';
	for ($i=1; $i <= 6 ; $i++) {
		if($x = get_post_meta(get_the_ID(), 'haberresim' . $i, true)) {
			$attachments .= $x . ',';
		}
	}
	if($attachments) echo do_shortcode('[gallery ids='.$attachments.']')
	?>
</div>

<div id="page-links">
	<?php wp_link_pages(array('link_before'=>'<span>', 'link_after'=>'</span>', 'before'=>'')); ?>
</div>

<?php safirAd('singleAd3', 'ads singleAd3'); ?>

<?php if(has_tag() && xoption("showTags")) : $tagTitle = __("ETİKETLER", "anka"); ?>
<div class="tags">
	<?php the_tags('<span class="title">'.$tagTitle.':</span> ',', ',''); ?>
</div>
<?php endif; ?>

<?php if(comments_open()) comments_template(); ?>

<?php include("parts/related.php"); ?>

<?php include("parts/navi.php"); ?>

</div>
</div><!--single-->
