<?php if(!defined('ABSPATH')) exit; ?>
<div class="advancedPostsWidget5 safirWidget <?php echo "$widgetPlace"; ?>Widget">
	<?php include("parts/_heading.php"); ?>
	<div class="innerContainer">
		<?php
		$queryargs["posts_per_page"] = 6;
		$results = new WP_Query($queryargs);
		if( $results->have_posts() ) {
			$counter = 0;
			?>
			<div class="widgetContent">
				<div class="items">
					<?php
					if($lineLimit) {
						$innerHeight = $lineLimit * 20;
					}
					while( $results->have_posts() )	{
						$results->the_post();
						$counter++;
						?>
						<div class="post-container">
							<div class="post">
								<div class="postthumb">
									<a href="<?php the_permalink() ?>">
										<?php
										if($counter == 1) {
											safirthumb();
										} else {
											safirthumb("medium");
										}
										?>
									</a>
								</div>
								<div class="detail">
									<div class="inner"<?php if(isset($innerHeight)) echo ' style="max-height:'.$innerHeight.'px"'; ?>>
										<div class="title">
											<a href="<?php the_permalink() ?>"><?php the_title() ?></a>
										</div>
									</div>
									<?php safirMetas($metas); ?>
								</div>
							</div>
						</div>
						<?php
					}
					?>
				</div>
			</div>
			<?php
			wp_reset_postdata();
		}
		?>
	</div>
</div>
