<?php if(!defined('ABSPATH')) exit; ?>
<?php
if($offset2 == 0) $offset2 = 1;
if(!isset($number2)) $number2 = 0;

$queryargs2 = array(
	'post_status' => 'publish',
	'no_found_rows' => true,
	'ignore_sticky_posts' => true,
	'offset' => $offset2-1,
	'tag' => $tags2,
);
if(isset($number2)) {
	$queryargs2["posts_per_page"] = $number2;
}

$category2 = "";
$doCategoryCache2 = true;
switch ($categoryChoice2) {
	case 'all':
		$category2 = "0";
	break;
	case 'include':
		if(is_array($catIDs2)) {
			foreach ($catIDs2 as $catID) {
				$category2 .= $catID . ',';
			}
		} else {
			$category2 = "0";
			$catIDs2 = array();
		}
		if( isset($allLink2) && count($catIDs2) == 1 ) :
			$allLinkCategory2 = get_category_link($catIDs2[0]);
		endif;
	break;
	case 'exclude':
		if(is_array($catIDs2)) {
			foreach ($catIDs2 as $catID) {
				$category2 .= '-' . $catID . ',';
			}
		} else {
			$category2 = "0";
		}
	break;
	case 'current':

		if(is_category()) {
			$category2 = get_query_var('cat');
		}
		if(is_single()) {
			foreach(get_the_category() as $cat) {
				if( $category2 != "" ) { $category2 .= ","; }
				$category2 .= $cat->cat_ID;
			}
			$queryargs2['post__not_in'] = array(get_the_ID());
		}
		if(is_attachment()) {
			global $post;
			foreach(get_the_category($post->post_parent) as $cat) {
				if( $category2 != "" ) { $category2 .= ","; }
				$category2 .= $cat->cat_ID;
			}
			$queryargs2['post__not_in'] = array(array($post->post_parent));
		}
		$doCategoryCache2 = false;
	break;
}
$queryargs2['cat'] = $category2;


switch($timeFilter2) {
	case 'all': break;
	case 'year':
		$queryargs2['year'] = date('Y');
	break;
	case 'month':
		$queryargs2['year'] = date('Y');
		$queryargs2['monthnum'] = date('n');
	break;
	case 'week':
		$queryargs2['year'] = date('Y');
		$queryargs2['w'] = date('W');
	break;
	case 'today':
		$queryargs2['year'] = date('Y');
		$queryargs2['monthnum'] = date('n');
		$queryargs2['day'] = date('j');
	break;
}

switch($filter2) {
	case "hit":
		if(function_exists('the_views')) {
			$field = 'views';
		} else {
			$field = 'hit';
		}
		$queryargs2['meta_key'] = $field;
		$queryargs2['orderby'] = 'meta_value_num';
		$queryargs2['order'] = 'DESC';
		$doCategoryCache2 = false;
	break;
	case "rand":
	case "date":

	case "comment_count":
		$queryargs2['orderby'] = $filter2;
	break;
}

if( $doCategoryCache2 || $filter2 == 'rand' || $filter2 == 'hit' ) $doCache = false;
