<?php if(!defined('ABSPATH')) exit; ?>
<p>
	<label for="<?php echo $this->get_field_id('color'); ?>>">Bileşen rengi</label>
	<select style="width:100%;" id="<?php echo $this->get_field_id('color'); ?>" name="<?php echo $this->get_field_name('color'); ?>">
		<optgroup label="Genel Renkler">
			<option value="default"<?php if('default' == esc_attr($color)) { echo " selected"; } ?>>Site rengi ile aynı olsun</option>
		</optgroup>
		<optgroup label="Atanmış kategori renkleri">
			<?php 
			$categories = get_categories(
				array(
					'orderby' 		=> 'name',
    				'order'   		=> 'ASC',
    				'hide_empty'   	=> 0,
    			)
			);
			foreach($categories as $category) { ?>
				<option value="color<?php echo $category->term_id; ?>"<?php if("color" . $category->term_id == esc_attr($color)) { echo " selected"; } ?>><?php echo $category->name; ?> kategorisi rengi</option>
			<?php } ?>
		</optgroup>
	</select>
</p>		
