<?php if(!defined('ABSPATH')) exit; ?>
<?php
function sfr_admin_enqueue() {
	wp_enqueue_media();
	wp_register_script( 'safiradmin', get_template_directory_uri() . '/lib/safirtema/assets/admin.js', array( 'jquery' ) );
	wp_register_script( 'meta-box-image', get_template_directory_uri() . '/safirpanel/scripts/image.js', array( 'jquery' ) );
	wp_localize_script( 'meta-box-image', 'meta_image',
		array(
			'title' => 'Bir Resim Seçin veya Bilgisayarınızdan Yükleyin',
			'button' => 'Bu Resmi Kullan',
		)
	);
	wp_enqueue_script( 'meta-box-image' );
	wp_enqueue_script( 'wp-color-picker' );
	wp_enqueue_style( 'wp-color-picker' );
	wp_enqueue_script( 'safiradmin' );
}
add_action( 'admin_enqueue_scripts', 'sfr_admin_enqueue' );


function safir_admin_styles() {
	wp_enqueue_style("safiradmin", get_template_directory_uri() . "/lib/safirtema/assets/admin.css", false, "0.1", "all");
}

add_action('admin_print_styles', 'safir_admin_styles');