jQuery(document).ready(function($) {

	$('select.categorySelect').each(function(){
		if($(this).val() == 'include' || $(this).val() == 'exclude') {
			$(this).parent().next().show();
		} else {
			$(this).parent().next().hide();
		}
	});

	$(document).on('change', 'select.categorySelect', function(){
		if($(this).val() == 'include' || $(this).val() == 'exclude') {
			$(this).parent().next().show();
		} else {
			$(this).parent().next().hide();
		}
	});

	$("body").on("focus", ".iconTextBox", function() {
		$(this).next().slideDown();
	});

	$("body").on("click", ".safirAdminIconSelector .item", function() {
		val = $(this).attr("data-value");
		$(this).closest(".safirAdminIconSelector").find(".item").removeClass("active");
		$(this).addClass("active");
		$(this).closest(".safirAdminIconSelector").slideUp().prev().val(val).trigger( 'change' );
	});

	$("body").on("click", ".safirAdminIconSelector .close", function() {
		$(this).closest(".safirAdminIconSelector").slideUp();
	});


	// Widget Scripts

	$("body").on("click", ".safirWidgetBox .title", function() {
		$(this).parent().toggleClass("active");
		$(this).next().slideToggle();
	});
	$("body").on("click", "a.showAllBoxes", function(e) {
		e.preventDefault();
		$(this).closest(".widget-content").find(".safirWidgetBox").addClass("active").find(".data").slideDown();
	});
	$("body").on("click", "a.hideAllBoxes", function(e) {
		e.preventDefault();
		$(this).closest(".widget-content").find(".safirWidgetBox").removeClass("active").find(".data").slideUp();
	});

	function initColorPicker( widget ) {
		widget.find( '.color-picker' ).wpColorPicker( {
			change: _.throttle( function() { // For Customizer
				$(this).trigger( 'change' );
			}, 3000 )
		});
	}

	function onFormUpdate( event, widget ) {
		initColorPicker( widget );
	}

	$( document ).on( 'widget-added widget-updated', onFormUpdate );

	$( document ).ready( function() {
		$( '#widgets-right .widget:has(.color-picker)' ).each( function () {
			initColorPicker( $( this ) );
		} );
	} );

});
