<?php if(!defined('ABSPATH')) exit; ?>
<?php
/*
	Template Name: Gazete Manşetleri
*/
?>
<?php get_header(); ?>
<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
<div id="papersPage">
	<?php
	include_once(get_template_directory() . "/lib/safirtema/data.php");
	global $safirPapers;
	$papers = xoption("papers");
	if(!is_array($papers)) $papers = array_keys($safirPapers)[0];
	$currentPaper = (isset($_GET["gazete"])) ? $_GET["gazete"] : $papers[0];
	if(!in_array($currentPaper, $papers)) {
		$currentPaper = $papers[0];
	}
	?>

	<div class="pageHeading">
		<h1 class="title"><?php echo $safirPapers[$currentPaper] ?> Gazetesi</h1>
		<?php if(xoption('breadcrumb')) sfrBreadcrumbs(); ?>
	</div>

	<div class="bigImage">
		<img src="https://foto.haberler.com/gazeteler/<?php echo $currentPaper ?>-gazetesi/<?php echo date("Y/m/d")?>/<?php echo $currentPaper ?>-gazetesi.jpg" width="1100" height="1650" alt="<?php echo $safirPapers[$currentPaper] ?>">
	</div>

	<div class="mainHeading topMargin">
		<div class="safiricon icon icon60"></div>
		<div class="title"><?php _e("Diğer Gazeteler", "anka") ?></div>
	</div>
	<ul>
		<?php
		foreach ($papers as $paper) {
			?>
			<li>
				<a href="<?php echo strtok($_SERVER["REQUEST_URI"], '?'); ?>?gazete=<?php echo $paper ?>" title="<?php echo $safirPapers[$paper] ?>">
					<?php echo $safirPapers[$paper] ?>
				</a>
			</li>
			<?php
		}
		?>
	</ul>
</div>
<?php endwhile; ?>
</div>
</div>
<?php get_footer(); ?>
