<?php if(!defined('ABSPATH')) exit; ?>
<div id="header-cont">
	<div class="innerContainer visible pad">
		<div id="mobileHeader">
			<div id="logo">
				<div class="mobileButtons">
					<?php $counter = 1; ?>
					<?php if(safirShowElement("showLoginButton")) : $counter++; ?>
						<?php if(is_user_logged_in()) : ?>
							<div class="button loginButton"></div>
						<?php else : ?>
							<a href="<?php echo get_page_link(xoption("membershipPage")) ?>" class="button loginButton"></a>
						<?php endif; ?>
					<?php endif; ?>
					<?php if(safirShowElement("showSearchButton")) : $counter++; ?>
						<div class="button searchButton"></div>
					<?php endif; ?>
					<div class="button toggleMenu"></div>
					<style>
						@media all and (max-width: 1024px) {
							#logo {
								padding-right: <?php echo $counter * 44 ?>px;
							}
						}
					</style>
				</div>
				<?php
				if(safirShowElement("showLoginButton")):
					include(get_template_directory() . "/parts/login-menu.php");
				endif;
				?>
				<?php if(safirShowElement("showSearchButton")): ?>
					<div class="mobileSearch">
					<form method="get" class="safir-searchform" action="<?php bloginfo('url'); ?>">
						<input type="text" autocomplete="off" name="s" value="<?php _e("Arama yap...", "anka") ?>" onblur="if(this.value=='') this.value=this.defaultValue;" onfocus="if(this.value==this.defaultValue) this.value='';" />
						<button type="submit"></button>
					</form>
					<?php if($x = nl2br(xoption("searchTerms"))) : ?>
						<div class="searchTerms">
							<?php
							$x = explode("<br />", $x);
							$counter = 0;
							if(is_array($x)) :
								foreach($x as $item) {
									$counter++;
									?><span><?php echo $item ?></span><?php
								}
							endif;
							?>
						</div>
					<?php endif; ?>
					<div class="close"></div>
				</div>
				<?php endif; ?>

				<?php if(is_home()) : $tag = "h1"; else : $tag = "span"; endif;?>
				<?php echo "<$tag>"; ?>
				<?php if(is_home()) echo '<span style="display:none">'.get_bloginfo("name").'</span>'; ?>
				<a href="<?php bloginfo('url'); ?>" class="logo">
					<img src="<?php echo xoption('logo'); ?>" alt="<?php bloginfo('name'); ?>" title="<?php bloginfo("name"); ?> - <?php _e("Anasayfa", "anka") ?>" width="<?php echo xoption('logoWidth'); ?>" height="<?php echo xoption('logoHeight'); ?>" style="max-height:<?php echo xoption('logoHeight'); ?>px;" />
				</a>
				<?php echo "</$tag>"; ?>
			</div>
			<div class="rightGroup">
				<?php if( safirShowElement("showCurrency") ) : ?>
					<?php include(get_template_directory() . '/lib/safirtema/currency.php'); ?>
				<?php endif;?>
				<?php if( safirShowElement("showWeather") ) : ?>
					<?php include(get_template_directory() . '/lib/safirtema/weather.php'); ?>
				<?php endif;?>
			</div>
		</div>
	</div>
</div>
