<?php if(!defined('ABSPATH')) exit; ?>
<?php
switch ($authorOrder) {
	case 'mostpost':
		$data = count_user_posts($authorID);
	break;

	case 'lastpost':
		$data = get_the_time('YmdHis');
	break;

	case 'manual':
		$data = get_user_meta($authorID, "order", true);
		if($data == "") $data = 999;
	break;
}
?>
<div class="post-container"<?php if(isset($data)) echo ' data-order="'.$data.'"'?>>
	<div class="post">
		<div class="postthumb">
			<?php
			$authorID = get_the_author_meta('ID');
			$image = safir_get_author_image($authorID);
			?>
			<div class="thumb">
				<a href="<?php echo get_author_posts_url($authorID) ?>">
					<div class="safirthumb square">
						<div class="center">
							<img <?php safirLazyThumb($image) ?> width="60" height="60" alt="<?php the_author() ?>" />
						</div>
					</div>
				</a>
			</div>
			<div class="info">
				<div class="author-name">
					<a href="<?php echo get_author_posts_url($authorID); ?>"><?php the_author() ?></a>
				</div>
				<div class="date"><?php the_time(get_option("date_format") . " " . get_option("time_format")) ?></div>
			</div>
		</div>
		<div class="detail">
			<div class="title">
				<a href="<?php the_permalink() ?>">
					<?php the_title() ?>
				</a>
			</div>
			<div class="summary">
				<?php safirtext(40) ?>
			</div>
		</div>
	</div>
</div>
