<?php if(!defined('ABSPATH')) exit; ?>
<?php
if(!isset($widgetPlace)) $widgetPlace = "home";
if(!isset($metas)) $metas = xoption("metas");
if(!isset($showSummary)) $showSummary = xoption("archiveShowSummary");
if(!isset($lineLimit)) $lineLimit = xoption("archiveLineLimit");
if($lineLimit) {
	$innerHeight = $lineLimit * 20;
	if($showSummary) $innerHeight += 5;
}
?>
<div class="post-container">
	<div class="post">
		<div class="postthumb">
			<a href="<?php the_permalink() ?>">
				<?php safirthumb('medium') ?>
			</a>
			<?php
			if(is_array($metas)) :
				if(in_array("category", $metas)) :
					safirCategoryMeta();
				endif;
			endif;
			?>
		</div>
		<div class="detail">
			<div class="inner"
				<?php if(isset($innerHeight)) {
					echo ' style="';
					if($widgetPlace != "wide") echo "max-";
					echo 'height:'.$innerHeight.'px"';
				}
				?>>
				<div class="title">
					<a href="<?php the_permalink() ?>"><?php the_title() ?></a>
				</div>
				<?php if($showSummary): ?>
					<div class="summary">
						<?php safirtext(50) ?>
					</div>
				<?php endif; ?>
			</div>
			<?php safirMetas($metas, false); ?>
		</div>
	</div>
</div>
