<?php if(!defined('ABSPATH')) exit; ?>
<?php
if(!isset($metas)) $metas = xoption("metas");
if(!isset($lineLimit)) $lineLimit = xoption("archiveLineLimit");
if($lineLimit) {
	$innerHeight = $lineLimit * 20;
}
?>
<div class="post-container">
	<div class="post">
		<div class="postthumb">
			<a href="<?php the_permalink() ?>">
				<?php safirthumb("medium") ?>
			</a>
		</div>
		<div class="detail">
			<div class="inner"<?php if(isset($innerHeight)) echo ' style="max-height:'.$innerHeight.'px"'; ?>>
				<div class="title">
					<a href="<?php the_permalink() ?>"><?php the_title() ?></a>
				</div>
			</div>
			<?php safirMetas($metas); ?>
		</div>
	</div>
</div>
